% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/find.R
\name{find_driver}
\alias{find_driver}
\title{Find Driver Matches}
\usage{
find_driver(search_term, data = NULL, max_results = 5, interactive = TRUE)
}
\arguments{
\item{search_term}{Character string to search for}

\item{data}{Tibble containing NASCAR race data}

\item{max_results}{Maximum number of matches to return}

\item{interactive}{Logical. Is the session interactive?}
}
\value{
Character vector of matching driver names
}
\description{
Find Driver Matches
}
\examples{
# Find exact match
find_driver("Christopher Bell")

# Find partial matches
find_driver("bell")

# Non-interactive mode for scripts
find_driver("kyle", interactive = FALSE)
}
