% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/find.R
\name{find_team}
\alias{find_team}
\title{Find Team Matches}
\usage{
find_team(search_term, data = NULL, max_results = 5, interactive = TRUE)
}
\arguments{
\item{search_term}{Character string to search for}

\item{data}{Tibble containing NASCAR race data or series specification}

\item{max_results}{Maximum number of matches to return}

\item{interactive}{Logical. Is the session interactive?}
}
\value{
Character vector of matching team names
}
\description{
Find Team Matches
}
\examples{
# Find exact match
find_team("Joe Gibbs Racing")

# Find partial matches
find_team("gibbs")

# Non-interactive mode for scripts
find_team("hendrick", interactive = FALSE)
}
